<?php
/**
 * Copyright © 2016 MB Vienas bitas. All rights reserved.
 * @website    www.magetrend.com
 * @package    MT Email for M2
 * @author     Edvinas Stulpinas <edwin@magetrend.com>
 */

//@codingStandardsIgnoreFile
?>
<?php $var = $block->getVarModel();?>
<?php $_shipment = $block->getShipment(); ?>
<?php $_order = $block->getOrder() ?>
<?php if ($_shipment && $_order && $_shipment->getAllTracks()) : ?>
    <table align="center" cellpadding="0" cellspacing="0" class="container-for-gmail-android" width="100%">
        <tr
            <?php echo $var->getHtmlAttribute('style', 'secondary-bg-color-tracking', 'background-color: #f7f7f7;'); ?>
            <?php echo $var->getHtmlAttribute('bgcolor', 'secondary-bg-color-color-tracking', '#f7f7f7'); ?> class="mteditor-bgcolor dark-block">
            <td align="center" valign="top" width="100%" class="content-padding">
                <center>
                    <table cellspacing="0" cellpadding="0" width="600" class="w320">
                        <tr>
                            <td <?php echo $var->getHtmlAttribute('style', 'text1_header_text_style', ''); ?>
                                <?php echo $var->getTextEditAttribute('text1_header_text');?>
                                    class="mteditor-color header-lg">
                                <?php echo $var->getValue('text1_header_text', 'Expect to see your package soon!', false);?>
                            </td>
                        </tr>
                        <tr>
                            <td <?php echo $var->getTextEditAttribute('text1_text');?>
                                <?php echo $var->getHtmlAttribute('style', 'text1_text_style', ''); ?>
                                    class="mteditor-color free-text">
                                <?php echo $var->getValue('text1_text', "Order {{var mtVar.getTrackingCode(".'$shipment'.")}} has been shipped! You can click below to track your package, check delivery status or see more details. ", false);?>
                            </td>
                        </tr>
                        <tr>
                            <td class="mini-block-container">
                                <table cellspacing="0" cellpadding="0" width="100%" class="track-block" style="border-collapse:separate !important;">
                                    <tr>
                                        <td class="mini-block">
                                            <table cellpadding="0" cellspacing="0" width="100%">
                                                <tr>
                                                    <td class="step-progress-bar">
                                                        <table cellpadding="0" cellspacing="0" width="100%">
                                                            <tr>

                                                                <!-- STEP ONE -->
                                                                <td class="step">
                                                                    <img src="<?php echo $block->getViewFileUrl('Magetrend_Email::images/email/awesome/0oYLLViRBKv7a0Lzh6vC_v3_03.jpg'); ?>" alt="<?php echo __('Ordered'); ?>" /><br />
                                                                    <span <?php echo $var->getTextEditAttribute('step_text_1');?>
                                                                            <?php echo $var->getHtmlAttribute('style', 'step_text_1_style', ''); ?>
                                                                            class="mteditor-color step-label">
                                                                        <?php echo $var->getValue('step_text_1', "Ordered", false);?>
                                                                    </span>
                                                                </td>


                                                                <!-- STEP TWO -->
                                                                <td class="step">
                                                                    <img src="<?php echo $block->getViewFileUrl('Magetrend_Email::images/email/awesome/piymv8dOQmuAc8nxb4Or_v3_04.jpg'); ?>" alt="<?php echo __('Paid'); ?>" /><br />
                                                                    <span <?php echo $var->getTextEditAttribute('step_text_2');?>
                                                                        <?php echo $var->getHtmlAttribute('style', 'step_text_2_style', ''); ?>
                                                                            class="mteditor-color step-label-2">
                                                                        <?php echo $var->getValue('step_text_2', "Paid", false);?>
                                                                    </span>
                                                                </td>

                                                                <!-- STEP THREE -->
                                                                <td class="step active">
                                                                    <img src="<?php echo $block->getViewFileUrl('Magetrend_Email::images/email/awesome/caYiXZF9TBS23k4EPXIN_v33_05.jpg'); ?>" alt="<?php echo __('Shipped'); ?>" />
                                                                    <span <?php echo $var->getTextEditAttribute('step_text_3');?>
                                                                        <?php echo $var->getHtmlAttribute('style', 'step_text_3_style', ''); ?>
                                                                            class="mteditor-color step-label-3">
                                                                        <?php echo $var->getValue('step_text_3', "Shipped", false);?>
                                                                    </span>
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="button" style="padding: 55px 0 0">
                                                        <!--[if mso]>
                                                        <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" <?php echo $var->getHtmlAttribute('href', 'track_button_href','{{var mtVar.getTrackingLink($shipment)}}', false);?> style="height:45px;v-text-anchor:middle;width:155px;" arcsize="15%" strokecolor="#ffffff" <?php echo $var->getHtmlAttribute('fillcolor', 'track_button_msi_bgolor', '#ff6f6f'); ?>>
                                                        <w:anchorlock/>
                                                        <center <?php echo $var->getHtmlAttribute('style', 'track_button_text_style', 'color:#ffffff; font-family:\'Cabin\', Helvetica, Arial, sans-serif;font-size:14px;font-weight:regular;'); ?> ><?php echo $var->getValue('track_button_text', "Track Order", false);?></center>
                                                        </v:roundrect>
                                                        <![endif]-->

                                                        <div style="mso-hide:all;">
                                                            <a <?php echo $var->getHtmlAttribute('bgcolor', 'track_button_msi_bgolor', '#ff6f6f'); ?>
                                                                    <?php echo $var->getHtmlAttribute('style', 'track_button_style', 'background-color:#ff6f6f;border-radius:5px;color:#ffffff;display:inline-block;line-height:45px;text-align:center;text-decoration:none;width:155px;-webkit-text-size-adjust:none;'); ?>
                                                                <?php echo $var->getHtmlAttribute('href', 'track_button_href','{{var mtVar.getTrackingLink($shipment)}}', false);?>
                                                                class="mteditor-bgcolor button-bg-color">
                                                                <span class="mteditor-color button-text-color"
                                                                    <?php echo $var->getTextEditAttribute('track_button_text');?>
                                                                        <?php echo $var->getHtmlAttribute('style', 'track_button_text_style', 'color:#ffffff; font-family:\'Cabin\', Helvetica, Arial, sans-serif;font-size:14px;font-weight:regular;'); ?>>
                                                                    <?php echo $var->getValue('track_button_text', "Track Order", false);?>
                                                                </span>
                                                            </a>
                                                        </div>
                                                    </td>

                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </center>
            </td>
        </tr>
    </table>
<?php endif; ?>